%define	name		ufraw
%define	version		0.11
%define	release		%mkrel 1

Name:		%name
Version:	%version
Release:	%release
Summary:	Graphical tool to convert raw images of digital cameras
Group:		Graphics
URL:		http://ufraw.sourceforge.net/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/ufraw/%{name}-%{version}.tar.bz2
License:	GPL
BuildRequires:	libgimp-devel >= 2.0 gtk+2-devel libjpeg-devel
BuildRequires:	libtiff-devel zlib-devel liblcms-devel ImageMagick
# we use libexiv instead of libexif
#BuildRequires:	libexif-devel
BuildRequires:	libexiv-devel
BuildRequires:  desktop-file-utils
Buildroot:	%_tmppath/%name-%version-%release-root

%description

UFRaw is a utility to read and manipulate raw images from digital cameras.
It can be used by itself or as a Gimp plug-in.
It reads raw images using Dave Coffin's raw conversion utility DCRaw.
And it supports basic color management using Little CMS, allowing
the user to apply color profiles.

Ufraw was originally based on the gimp plug-in by Dave Coffin
http://www.cybercom.net/~dcoffin/
and on Pawel T. Jochym's (jochym at ifj edu pl) plug-in.

Raw images are the data directly read from the CCD of the camera,
without in-camera processing, without lossy JPEG compression, and in
36 or 48 bits color depth (TIFF has 24 bits). Problem of the raw
images is that they are in proprietary, camera-specific formats as
they are exactly what the CCD has captured, and the CCDs on differnt
cameras are very different. It also contains info about the camera
settings.

%package gimp
Summary: 	Reads the raw image formats of digital cameras into GIMP
Group: 		Graphics
Requires: 	gimp
Conflicts:	dcraw-gimp2.0 rawphoto
 
%description gimp

A GIMP plug-in which reads and processes raw images from most digital
cameras. The conversion is done by the dcraw software and so all
cameras supported by dcraw are also supported by this plug-in.

In contrary to the original GIMP plug-in of dcraw this one is much
more comfortable, especially because of the life preview image but
also due to more options.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q 

%build
%configure2_5x --with-exiv2  --enable-mime
%make

%install

rm -fr %buildroot

%makeinstall_std schemasdir=%{_sysconfdir}/gconf/schemas

#don't package mime file, shared-mime-info is ok now
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime

%find_lang ufraw

# Install menu stuff
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{name}" \
icon="%{name}.png" \
section="Multimedia/Graphics" \
title="UFRaw" \
longtitle="Graphical tool to convert RAW images from digital cameras" \
xdg=true \
needs="x11"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


install -d %buildroot%{_datadir}/icons/{large,mini}

convert icons/ufraw.png -resize 32x32 %buildroot%{_iconsdir}/%{name}.png
convert icons/ufraw.png -resize 16x16 %buildroot%{_miconsdir}/%{name}.png
cp icons/ufraw.png %buildroot%{_liconsdir}/%{name}.png

%clean
rm -fr %buildroot

%define schemas ufraw

# Update menus
%post
%post_install_gconf_schemas %schemas
%update_desktop_database
%update_menus

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_menus
%clean_desktop_database

%files -f %{name}.lang
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%doc README
%_sysconfdir/gconf/schemas/ufraw.schemas
%_bindir/*
%_menudir/*
%_datadir/applications/ufraw.desktop
%_datadir/pixmaps/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_mandir/man1/*

%files gimp
%defattr(-,root,root)
%{_libdir}/gimp/2.0/plug-ins/*


%changelog
* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.11-1mdv2007.0
+ Revision: 134331
- Release 0.11

* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 0.10-5mdv2007.1
+ Revision: 132337
- rebuilt for new libexiv2

* Fri Mar 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.10-4mdv2007.1
+ Revision: 131484
- Don't package mimetype file, it is merged in shared-mime-info now

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 0.10-3mdv2007.1
+ Revision: 130674
-Clean specfile
-enable mimetype and gconf schema building
-fix Buildrequires
-install thumbnailer for gnome
-fix .desktop
-fix icon generation

* Tue Dec 05 2006 Pascal Terjan <pterjan@mandriva.org> 0.10-2mdv2007.1
+ Revision: 90781
- Enable debug
- always create XDG menu
- fix categories

* Mon Nov 27 2006 Pascal Terjan <pterjan@mandriva.org> 0.10-1mdv2007.1
+ Revision: 87349
- 0.10
- Import ufraw



* Tue Aug  8 2006 Till Kamppeter <till@mandriva.com> 0.9-1mdv2007.0
- Updated to version 0.9 final.
- Added XDG menu stuff.

* Tue May 09 2006 Lenny Cartier <lenny@mandriva.com> 0.8-1mdk
- Updated to version 0.8 final.

* Tue Mar  7 2006 Till Kamppeter <till@mandriva.com> 0.7-1mdk
- Updated to version 0.7 final.

* Fri Feb  3 2006 Till Kamppeter <till@mandriva.com> 0.7-0.1mdk
- Updated to the state of the CVS of 03/02/2006 (based on dcraw 8.03).
- Introduced %%mkrel.

* Wed Nov 16 2005 Till Kamppeter <till@mandriva.com> 0.6-1mdk
- Updated to version 0.6 final.

* Mon Oct  3 2005 Till Kamppeter <till@mandriva.com> 0.6-0.1mdk
- Updated to the state of the CVS of 03/10/2005 (0.6 generation of
  UFRaw).

* Wed Sep 15 2005 Till Kamppeter <till@mandriva.com> 0.5-0.4mdk
- Do the update really.
- Added man page.

* Wed Sep 14 2005 Till Kamppeter <till@mandriva.com> 0.5-0.3mdk
- Updated to the state of the CVS of 14/09/2005 (Fix for Sigma SD9 and
  SD10 DSLRs, bug 18552).

* Sun Aug 14 2005 Till Kamppeter <till@mandriva.com> 0.5-0.2mdk
- Updated to the state of the CVS of 14/08/2005 (underlying dcraw updated
  to 7.49, now new cameras like Minolta Alpha/Dynax/Maxxum 5D supported).

* Wed Aug  3 2005 Till Kamppeter <till@mandriva.com> 0.5-0.1mdk
- Updated to the state of the CVS of 03/08/2005 (dcraw 7.x intergrated).

* Mon Mar  7 2005 Till Kamppeter <till@mandrakesoft.com> 0.4-2mdk
- Added standalone version.

* Mon Mar 07 2005 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk

- Updated to version 0.4.
- New URL.
- Added "Requires: gimp".

* Mon Nov  8 2004 Till Kamppeter <till@mandrakesoft.com> 0.2-1mdk
- First release for Mandrakelinux
